SCSI_HOST_SET_STATE(9)

NAME
scsi_host_set_state - Take the given host through the host state model.

SYNOPSIS

int scsi_host_set_state(struct Scsi_Host * shost, enum scsi_host_state state);

ARGUMENTS

shost
    scsi host to change the state of.

state
    state to change to.

DESCRIPTION

Returns zero if unsuccessful or an error if the requested transition is illegal.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT